Page MenuHomePhabricator

[VPlan] Move addMetadata to VPTransformState (NFC).
ClosedPublic

Authored by fhahn on Jun 16 2022, 7:41 AM.

Details

Summary

The moved helpers are only used for codegen. It will allow moving the
remaining ::execute implementations out of LoopVectorize.cpp.

Depends on D127966.
Depends on D127965.

Diff Detail

Event Timeline

fhahn created this revision.Jun 16 2022, 7:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2022, 7:41 AM
fhahn requested review of this revision.Jun 16 2022, 7:41 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2022, 7:41 AM
Herald added a subscriber: vkmr. · View Herald Transcript
Ayal accepted this revision.Jun 26 2022, 2:16 PM

Ship it!

This revision is now accepted and ready to land.Jun 26 2022, 2:16 PM
fhahn updated this revision to Diff 441653.Jul 1 2022, 3:28 AM

Rebase on top of recent changes, I am planning on landing this soon.

This revision was landed with ongoing or failed builds.Jul 1 2022, 4:04 AM
This revision was automatically updated to reflect the committed changes.